Bug Hunting Session
Bug 59970 - Help > About Dialog Takes 5-6 Seconds To Open
Summary: Help > About Dialog Takes 5-6 Seconds To Open
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.0.0.0.beta2
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.0.1 target:4.1.0
Keywords: perf, regression
Depends on:
Blocks:
 
Reported: 2013-01-28 13:46 UTC by Dave Richards
Modified: 2015-12-15 11:34 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
strace while help>about dialog is being requested (963.81 KB, text/plain)
2013-01-28 13:46 UTC, Dave Richards
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Richards 2013-01-28 13:46:32 UTC
Created attachment 73773 [details]
strace while help>about  dialog is being requested

As confirmed on the IRC by MST, on 4.0 when you activate Help > About it takes around 5-6 seconds for the dialog to appear.  We run LibreOffice over remote display, and MST noted that it was slower when run in this manner...but still slow even with a local video card.

Prior versions of LibreOffice, this dialog opened immediately.

Tested with daily 4.0 build from January 27th and still broken.

Attaching the strace if this is helpful.
Comment 1 Dave Richards 2013-01-28 13:48:17 UTC
MST indicated that Thorsten should be added.
Comment 2 Michael Stahl (CIB) 2013-01-28 13:57:18 UTC
confirming; what i wrote on IRC:

"i've just looked at it a bit, just breaking in gdb randomly, mostly i get a stack where it tries to read some graphic from the X server via XGetImage called from X11SalBitmap::ImplCreateDIB... i'm using remote X via ssh which makes this slow i guess, are you also using remote X?"

"hmm if i try it on the laptop locally (not remotely) it is faster but still takes 3 seconds"

"i bet it's the new SVG implementation, the slowness is inside Application::LoadBrandSVG and SvgData::ensureReplacement"
Comment 3 Michael Stahl (CIB) 2013-01-31 12:56:25 UTC
just discovered the "perf" whiteboard
Comment 4 Not Assigned 2013-02-19 09:45:26 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d35dd1dbd89e390eb1bcfa50e2f02e7c65bdb0ab&h=libreoffice-4-0

Fix fdo#59970 slowless of about box rendering


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Thorsten Behrens (CIB) 2013-02-19 18:33:30 UTC
Fixed for the upcoming 4.0.1 RC1
Comment 6 Not Assigned 2013-02-20 15:13:01 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6af2468cf0a6c231747c24fd057a8cb90cbbe11d

Fix fdo#59970 slowless of about box rendering



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-15 11:34:48 UTC
Migrating Whiteboard tags to Keywords: (perf)
[NinjaEdit]